[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Git has too many freaking dependencies



On Fri, 2008-02-15 at 13:26 -0500, David Malcolm wrote:
> On Fri, 2008-02-15 at 19:23 +0100, Hans de Goede wrote:
> > Nicolas Mailhot wrote:
> > > Le vendredi 15 février 2008 à 11:13 -0500, Yaakov Nemoy a écrit :
> > > 
> > >> Before I go and submit a bug, I would like to ask why git requires
> > >> that i install so many dependencies? 
> > > 
> > > Because git is not git, git is a metapackage.
> > > Welcome to metapackage hell.
> > > 
> > 
> > +1, I believe this actally is a bug, almost no other package has this, most 
> > other packages have:
> > foo (which contains the core_
> > foo-addon1
> > foo-addon2
> > 
> > etc. and then if you really want all you can just do:
> > yum install 'foo*'
> > 
> > Can we please stop this meta package bs, it hit me too with git, and I do not 
> > consider myself a novice when I say:
> > "yum install git"
> > I mean:
> > "yum install git"
> > and not
> > "yum install git and anything vaguely git related including an fscking emacs 
> > add-on which drags in a whopping XX MB of emacs"
> > 
> Hey, at least it doesn't include the eclipse git plugin ("egit" IIRC)
> and thus drag in eclipse, java, etc

Which AFAIK properly just depends upon git-core ... after someone filed
a bug and that was fixed :)

Andrew


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]